Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518801 - No notification for failed registration
Summary: No notification for failed registration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Nick Carboni
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On:
Blocks: 1552802
TreeView+ depends on / blocked
 
Reported: 2017-11-29 15:06 UTC by Ryan Spagnola
Modified: 2019-02-11 13:54 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1552802 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:54:37 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)
picture (deleted)
2018-12-12 14:06 UTC, Jaroslav Henner
no flags Details

Description Ryan Spagnola 2017-11-29 15:06:41 UTC
Description of problem:
When testing registration with Cloudforms on 5.9 this should fail due to non-existant repos. Process is in a stuck state without any notification that the registration has failed

Version-Release number of selected component (if applicable):
5.9.0.11

How reproducible:
Always

Steps to Reproduce:
1. Register CloudForms 5.9

Actual results:
Stuck at enabling repos

Expected results:
Error message or Error out canceling the registration

Additional info:

Comment 8 CFME Bot 2018-02-23 14:30:14 UTC
New commit detected on ManageIQ/linux_admin/master:
https://github.com/ManageIQ/linux_admin/commit/b709532c0f1a019aa05265c1bc4dcc794790a5c2

commit b709532c0f1a019aa05265c1bc4dcc794790a5c2
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Thu Feb 22 13:58:32 2018 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Thu Feb 22 17:55:11 2018 -0500

    Raise a SubscriptionManagerError from the SubscriptionManager class
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1518801

 lib/linux_admin/exceptions.rb                          |  2 ++
 .../registration_system/subscription_manager.rb        |  2 +-
 spec/subscription_manager_spec.rb                      | 18 ++++++++++++++++++
 3 files changed, 21 insertions(+), 1 deletion(-)

Comment 9 CFME Bot 2018-02-26 23:36:56 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/7d7840ec3e8568dd9d521519f8e2d82afb2bffa8

commit 7d7840ec3e8568dd9d521519f8e2d82afb2bffa8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Thu Feb 22 15:10:28 2018 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Feb 23 09:36:48 2018 -0500

    Raise a notification when registration fails
    
    This adds a new notification type and creates a notification of
    this type when we fail to execute any of the steps of the
    Subscription Manager registration process.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1518801

 Gemfile                                          |  2 +-
 app/models/miq_server/update_management.rb       |  4 ++++
 db/fixtures/notification_types.yml               |  5 +++++
 spec/models/miq_server/update_management_spec.rb | 11 +++++++++++
 4 files changed, 21 insertions(+), 1 deletion(-)

Comment 14 Jaroslav Henner 2018-12-12 14:06:30 UTC
Created attachment 1513684 [details]
picture

Comment 17 CFME Bot 2018-12-12 21:00:53 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/c25631a85aca6cb0513415444e71697e3bb2d832
commit c25631a85aca6cb0513415444e71697e3bb2d832
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Wed Dec 12 14:56:53 2018 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Wed Dec 12 14:56:53 2018 -0500

    Raise a notification for each repo that fails to enable

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1518801

 app/models/miq_server/update_management.rb | 1 +
 db/fixtures/notification_types.yml | 5 +
 spec/models/miq_server/update_management_spec.rb | 23 +-
 3 files changed, 25 insertions(+), 4 deletions(-)

Comment 18 CFME Bot 2018-12-13 14:51:52 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/e5a0252945a13907ec76552daf1be194cb1f3759
commit e5a0252945a13907ec76552daf1be194cb1f3759
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Wed Dec 12 15:57:02 2018 -0500
Commit:     Joe Rafaniello <jrafanie@users.noreply.github.com>
CommitDate: Wed Dec 12 15:57:02 2018 -0500

    Merge pull request #18290 from carbonin/repo_enable_failure_notification

    Raise a notification for each repo that fails to enable

    (cherry picked from commit 1eb52eab66f61db2b207bbba60d19eca0826f0cd)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1518801

 app/models/miq_server/update_management.rb | 1 +
 db/fixtures/notification_types.yml | 5 +
 spec/models/miq_server/update_management_spec.rb | 23 +-
 3 files changed, 25 insertions(+), 4 deletions(-)

Comment 19 Jaroslav Henner 2019-01-10 15:40:12 UTC
Version 5.10.0.31.20190108221820_a0968c8 

When I changed two of the repos to invalid name and then clicked to register, I have got a flash message saying that one of the repos failed to register. I am satisfied with this result.


Note You need to log in before you can comment on or make changes to this bug.